## org.hibernate.transform
Class AliasToEntityMapResultTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.transform.AliasedTupleSubsetResultTransformer
              org.hibernate.transform.AliasToEntityMapResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer, TupleSubsetResultTransformer

    public class AliasToEntityMapResultTransformer

extends AliasedTupleSubsetResultTransformer

`ResultTransformer` implementation which builds a map for each "row", made up of each aliased value where the alias is the map key.

Since this transformer is stateless, all instances would be considered equal. So for optimization purposes we limit it to a single, singleton `instance`.

See Also:
  Serialized Form

Field Summary
`static AliasToEntityMapResultTransformer` `INSTANCE`

Method Summary
`boolean` `isTransformedValueATupleElement(String[] aliases, int tupleLength)` When a tuple is transformed, is the result a single element of the tuple?
`Object` `transformTuple(Object[] tuple, String[] aliases)` Tuples are the elements making up each "row" of the query result.

Methods inherited from class org.hibernate.transform.AliasedTupleSubsetResultTransformer
`includeInTransform`

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.transform.ResultTransformer
`transformList`

Field Detail

### INSTANCE

    public static final AliasToEntityMapResultTransformer INSTANCE

Method Detail

### transformTuple

    public Object transformTuple(Object[] tuple,
                                 String[] aliases)

  Tuples are the elements making up each "row" of the query result. The contract here is to transform these elements into the final row.

  Specified by:
    `transformTuple` in interface `ResultTransformer`
  Overrides:
    `transformTuple` in class `BasicTransformerAdapter`
  Parameters:
    `tuple` - The result elements
    `aliases` - The result aliases ("parallel" array to tuple)
  Returns:
    The transformed row.

### isTransformedValueATupleElement

    public boolean isTransformedValueATupleElement(String[] aliases,
                                                   int tupleLength)

  When a tuple is transformed, is the result a single element of the tuple?

  Parameters:
    `aliases` - - the aliases that correspond to the tuple
    `tupleLength` - - the number of elements in the tuple
  Returns:
    true, if the transformed value is a single element of the tuple; false, otherwise.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.